> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zlb/load-balancer-backend/describebackendhealth.md).

# DescribeBackendHealth

## 1. API Description

This API (DescribeBackendHealth) is used to query the health check status of the backend servers bound to a load balancer instance.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                                                                                                           |
| -------------- | -------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| loadBalancerId | Yes      | String | <p>Load balancer instance ID.</p><p>It can be obtained by calling <a href="/api-reference/zlb/load-balancer-instance/describeloadbalancers.md">DescribeLoadBalancers</a>.</p>                                                         |
| listenerId     | No       | String | <p>Listener ID of the load balancer.</p><p>If not specified, all backend servers are queried.</p><p>It can be obtained by calling <a href="/api-reference/zlb/load-balancer-listener/describelisteners.md">DescribeListeners</a>.</p> |

## 3. Output Parameters

| Parameter Name | Type                                                                                        | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                      | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| backends       | Array of [ListenerBackendHealth](/api-reference/zlb/datastructure.md#listenerbackendhealth) | Health state of backend servers.                                                                                      |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the health state of all bound backend servers of a load balancer.**

```json
POST /api/v2/zlb HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBackendHealth
<Common Request Params>

Request：
{
  "loadBalancerId": "<loadBalancerId>"
}

Response：
{
  "requestId": "T23120DD8-C59C-4919-8F73-E3F3892D3CDC",
  "response": {
    "requestId": "T23120DD8-C59C-4919-8F73-E3F3892D3CDC",
    "backends": [
      {
        "listenerId": "<listenerId>",
        "protocol": "TCP",
        "instanceId": "<instanceId>",
        "backendPort": 1,
        "listenerName": "Listener-TCP-01",
        "weight": 100,
        "listenerPort": "8080",
        "privateIpAddress": "10.0.0.1",
        "healthStatus": "Alive"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
